Class Specialization
Counter
Extends the input stream by a second field which enumerates the elements.

Pipe

Counter

Pipe<TInput, Counter>
Include Headers
seqan/pipe.h
Parameters

TInput | The type of the pipeline module this module reads from.

Remarks
The output type is a Pair of input type and size type (i.e. Pair<Value<TInput>::Type, Size<TInput>::Type>).
The first output field is the original input stream.
The second output field begins with 0 and increases by 1 per element.
Specialization of
Pipe
Member Functions

Pipe | Constructor (Pipe)

Functions

assign | Assigns one object to another object. (Pipe)
atEnd | Determines whether an iterator is at the end position. (Pipe)
beginRead | Initiates a read process. (Pipe)
endRead | Terminates a read process. (Pipe)
front | Gets the first element of the remaining stream. (Pipe)
length | The number of items/characters. (Pipe)
pop | Pops the first element of the remaining stream. (Pipe)

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00